summaryrefslogtreecommitdiffstats
path: root/common
diff options
context:
space:
mode:
authorMarek Gradzki <mgradzki@cisco.com>2017-11-23 12:23:36 +0100
committerMarek Gradzki <mgradzki@cisco.com>2017-11-23 12:23:39 +0100
commitd0af6a93dd0c02a84960a557a7cfcf98088aa5d2 (patch)
treebed357e376761539c5af649afe3cf202c1f40897 /common
parentf2a0dc1c2fb8f94ab2fc8120827f3738fbf9cdb6 (diff)
Set sonar-maven-plugin version to 3.3.0.603
If Maven encounters a plugin with no version declaration, it will use the LATEST version, which might not be compatible with Sonar server (fd.io uses 5.6 currently). Therefore it is recommended to lock down version of Sonar plugin: http://blog.sonatype.com/2008/04/maven-209-released/ The patch should fix honeycomb and hc2vpp merge job failures caused by using incompatible sonar-maven-plugin version. Change-Id: Ib95aa4a131e1b8b7d85a531bba8e5a9f7c95cf2d Signed-off-by: Marek Gradzki <mgradzki@cisco.com>
Diffstat (limited to 'common')
-rw-r--r--common/honeycomb-parent/pom.xml11
1 files changed, 11 insertions, 0 deletions
diff --git a/common/honeycomb-parent/pom.xml b/common/honeycomb-parent/pom.xml
index 0e8e527..cc67e37 100644
--- a/common/honeycomb-parent/pom.xml
+++ b/common/honeycomb-parent/pom.xml
@@ -323,6 +323,17 @@
</execution>
</executions>
</plugin>
+ <!-- Sonar -->
+ <!-- If Maven encounters a plugin with no version declaration, it will use the LATEST version.
+ which might not be compatible with Sonar server (fd.io uses 5.6 currently).
+ Therefore it is recommended to lock down version of Sonar plugin:
+ http://blog.sonatype.com/2008/04/maven-209-released/
+ -->
+ <plugin>
+ <groupId>org.sonarsource.scanner.maven</groupId>
+ <artifactId>sonar-maven-plugin</artifactId>
+ <version>3.3.0.603</version>
+ </plugin>
<!-- jacoco test coverage for sonar -->
<plugin>
<groupId>org.jacoco</groupId>